from fastapi import APIRouter, HTTPException
from typing import Optional, Dict
import requests

router = APIRouter()

@router.get("/placeholder-user", response_model=Optional[Dict])
async def get_placeholder_user(user_id: int):
    try:
        response = requests.get(f"https://jsonplaceholder.typicode.com/users/{user_id}")
        response.raise_for_status()
        return response.json()
    except requests.exceptions.RequestException as e:
        raise HTTPException(status_code=400, detail=str(e))